Create Image Upload URL
curl --request POST \
--url https://api.example.com/uploads/image/get_upload_urlimport requests
url = "https://api.example.com/uploads/image/get_upload_url"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/uploads/image/get_upload_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Asset Management
Create Image Upload URL
Create a signed upload URL for an image asset.
POST
/
uploads
/
image
/
get_upload_url
Create Image Upload URL
Limits: 50 MB
Use
Request
curl -X POST "https://api.mosaic.so/uploads/image/get_upload_url" \
-H "Authorization: Bearer mk_your_api_key"
Response
{
"image_id": "img-1234-5678-90ab-cdef",
"upload_url": "https://storage.googleapis.com/...",
"upload_fields": {
"key": "...",
"policy": "...",
"x-goog-signature": "..."
},
"max_file_size_bytes": 52428800
}
image_id in update_params after finalizing the upload.Was this page helpful?
⌘I